/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"memory_debug.h"
#include	"long_char.h"


WRITABLE_CODE_TABLE *
get_wct(WCT * w,L_CHAR lcz)
{
WRITABLE_CODE_TABLE * t;
	for ( t = w->list ; t ; t = t->next ) {
		if ( t->lcz == (lcz&t->mask) )
			return t;
	}
	return 0;
}
